@mixin megamenu-visible {
    transform: translateY(0);
    opacity: 1;
    pointer-events: all;
}

.MegaMenu {
    width: 100%;
    height: 650px;
    max-height: calc(100vh - var(--header-total-height));
    position: fixed;
    top: var(--header-total-height);
    right: 0;
    left: 0;
    transform: translateY(-20%);
    opacity: 0;
    z-index: -1;
    color: var(--primary-base-color);
    background: var(--primary-base-color);
    font-family: 'Work Sans', sans-serif;
    text-align: left;
    transition: transform 200ms ease-in-out;
    transition-property: opacity, transform;
    pointer-events: none;
    scrollbar-width: none;

    &-SubCategoriesWrapper {
        @include after-mobile {
            width: 100%;
        }
    }

    div {
        scrollbar-width: none;
    }

    &-Column {
        &:not(:last-of-type) {
            margin-right: 35px;
        }
    }

    &_isActive {
        @include megamenu-visible;

        + .Header-TopMenuButton {
            color: var(--primary-base-color);
            background: var(--secondary-base-color);
        }
    }

    a {
        color: var(--primary-base-color);
    }

    &-InnerWrapper {
        max-width: var(--wide-content-wrapper-width);
        margin: 0 auto;
        scrollbar-width: none;

        div {
            scrollbar-width: none;
        }
    }

    &-Content {
        display: flex;
        height: 100%;
        margin: 0 64px;
        align-items: stretch;
        background: $white;

        @include after-mobile {
            max-height: calc(100vh - var(--header-total-height));
        }

        > * {
            padding: 20px 30px;
            overflow-y: scroll;

            &:nth-child(1) {
                min-width: min-content;
                max-width: 427px;
                border-right: 1px solid var(--grey-6-color);
                flex-grow: 1;
            }

            &:nth-child(2) {
                flex-grow: 6;
            }
        }
    }

    &-ColumnTitle {
        display: block;
        margin-bottom: 16px;
        font-size: 16px;
        font-weight: 800;

        &:hover {
            color: var(--secondary-base-color);
        }
    }

    &-ColumnElement {
        display: block;
        margin: 12px 0;
        font-size: 12px;
    }

    &-Categories {
        display: flex;
        justify-content: space-between;

        & > .CmsBlock-Wrapper {
            display: flex;
            max-height: 90% !important;
            z-index: 22;
        }
    }

    &-Featured-Brand {
        width: 100px;
        position: relative;
        z-index: 0;

        & > .CmsBlock-Wrapper {
            width: 270px;
            position: absolute;
            right: -40px;
            bottom: -34px;

            .Image-Image {
                width: 270px;
            }
        }

        &-header {
            position: absolute;
            bottom: 0;
        }
    }

    &-SubLevelDesktop {
        display: flex;
        flex-direction: column;
    }

    &_brandsContainer {
        display: grid;
        grid-template-rows: repeat(13, 1fr);
        grid-auto-flow: column;
    }

    &_brandsColumn {
        list-style-type: none;
    }

    &_brandElem {
        display: inline-block;
        padding-left: 0;
        margin-bottom: 20px;
        font-family: 'Work Sans', sans-serif;
        font-size: 12px;
        line-height: 12px;

        &::before {
            display: none;
            content: '';
        }
    }

    &-BrandTitle {
        display: inline-block;
        margin-right: 16px;
        margin-bottom: 16px;
        color: var(--primary-base-color);
        font-size: 16px;
        font-weight: 800;
    }

    .Button_underline {
        font-size: 12px;
    }

    .CmsBlock-Wrapper {
        max-height: 100%;
    }
}

.Menu-SubLevelDesktop {
    display: flex;
    flex-direction: column;
}

.Menu-Link {
    display: inline-block;
    padding-left: 0;
    margin-left: 0 !important;
    font-family: 'Work Sans', sans-serif;
    font-size: 12px;
    line-height: 26px;
}

.Featured-Brand-header {
    position: absolute;
    right: 40px;
    bottom: 30px;
}

.Featured-Brand-button {
    display: inline-block;
    padding: 12px 40px;
    border: 1px solid #141414;
    position: relative;
    left: -10px;

    &:hover {
        color: var(--primary-base-color);
        background: var(--secondary-base-color);
    }
}

.Menu-SubLevelDesktop .Menu-Link {
    margin: 0;
}

.prm {
    .MegaMenu {
        &-Featured-Brand {
            & > .CmsBlock-Wrapper {
                width: 310px;

                .Image-Image {
                    width: 310px;
                }
            }
        }

        &-ColumnTitle {
            &:hover {
                color: inherit;
            }
        }

        &-Categories {
            border-right: unset;
            background-color: var(--grey-7-color);

            .Menu-SubMenu {
                .Menu-ItemList {
                    background-color: var(--grey-7-color);
                }
            }

            .Menu-SubItemWrapper {
                .Menu-ItemCaption {
                    font-family: 'Work Sans', sans-serif;
                    font-size: 16px;
                    font-weight: 800;
                    text-transform: none;
                    line-height: 24px;
                }

                .Menu-SubLevelDesktop {
                    .Menu-ItemCaption {
                        font-size: 12px;
                        font-weight: normal;
                        line-height: 26px;
                    }
                }
            }

            &-BrandTitle {
                font-family: 'Work Sans', sans-serif;
                font-size: 16px;
                font-weight: 800;
                line-height: 24px;
            }
        }
    }
}
